' Faktura-Software Scriptdatei 
' Funktion: 	Lagerbuchung fr den aktuellen Beleg durchfhren
' Ansicht:  	FakturaBelege
' Script:	FakturaBelege_25_Lagerbuchung_zurcksetzen.vbs
' Produkt:	combit Relationship Manager 5
' Autor  :  	Andreas Mller

' Faktura-Software.net macht keine Angaben zu einer bestimmten Eignung der Information in diesem Script
' Irrtmer und Fehler bleiben ausdrcklich vorbehalten und die Angaben erfolgen ohne Gewhr. 
' Die Angaben stellen nur Einzelfallszenarien dar und enthalten keine Garantie der Beschaffenheit 
' der Produkte. 
 
' Copyright (c) by Faktura-Software.net. Alle Rechte vorbehalten.
'--------------------------------------------------------------------------------------------------------------

Option Explicit
<!--#include file="%PRJDIR%\script\CosmoOle.vbs"-->




'--------------------------------------------------------------------------------------------------------------
' Begin Versionierung
'--------------------------------------------------------------------------------------------------------------
Dim sSkriptVersion
sSkriptVersion = "002"
'--------------------------------------------------------------------------------------------------------------
' What's new
'--------------------------------------------------------------------------------------------------------------
' Version 002 
' - Korrektur Beleg zurcksetzen (Scriptfehler beim Ausfhren verhinderte den Vorgang)
'--------------------------------------------------------------------------------------------------------------

Dim sErrorCode, sErrorProjekt, sErrorAnsicht, sErrorSkript

sErrorProjekt   = cRM.CurrentProject.GetSessionProperty("cRM_Projekt_ProjektNr",True)
sErrorAnsicht   = "118"
sErrorSkript    = "025"

sErrorCode =  sErrorProjekt & sErrorAnsicht & sErrorSkript

'--------------------------------------------------------------------------------------------------------------
' Ende Versionierung
'--------------------------------------------------------------------------------------------------------------



Dim sBeleg_Typen_ID, sErf_User

sErf_User = Crm.CurrentProject.CurrentUser

if sErf_User = "" then
  Showmessage("Die Lagerbuchung kann nicht rckgngig gemacht werden. Bitte wenden Sie sich hierzu an den Support.")
  Wscript.Quit
End if

sBeleg_Typen_ID = GetViewContentByName("Beleg_Typen_Recordid.FakturaBeleg_Typen.Recordid.ID")



'Beleg_Recordid auslesen
Dim sBeleg_Recordid

sBeleg_Recordid = GetViewContentByName("Recordid")

If sBeleg_Recordid = "" Then
  Msgbox("Der Beleg konnte nicht eindeutig zugeordnet werden.")
  Wscript.Quit
End if


Dim sProcedure, sTrennzeichen, sParameter,bsp
 
   sProcedure    = "Fs_Lagerbuchung_Beleg_Ruecksetzen"
   sTrennzeichen = ";"
   sParameter    = sBeleg_Recordid
   
     bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "001"))
   
    if bSP = false THEN
      'RaiseException("ErrorCode:" & sErrorCode & "001" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script wird nicht fortgesetzt. Bitte kontaktieren Sie den Support") 
      Wscript.Quit
    End If

  
  

    sProcedure    = "Fs_Lagerbuchung_DeleteFertige"
   sTrennzeichen = ";"
   sParameter    = sBeleg_Recordid
   
     bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "002"))
   
    if bSP = false THEN
      'RaiseException("ErrorCode:" & sErrorCode & "002" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script wird nicht fortgesetzt. Bitte kontaktieren Sie den Support") 
      Wscript.Quit
    End If

   
   

   sProcedure = "Fs_Lagerbuchung_Sn_Rueckgaengig"
   sTrennzeichen = ";"
   sParameter     = sBeleg_Recordid & ";" & sErf_User
   
   bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "003"))
   
    if bSP = false THEN
      'RaiseException("ErrorCode:" & sErrorCode & "003" & vbLF & vbLF & "Interner Fehler. " & vbLF & "Das Script wird nicht fortgesetzt. Bitte kontaktieren Sie den Support") 
      Wscript.Quit
    End If


    sProcedure    = "Fs_Lagerbuchung_Temp_Delete"
    sTrennzeichen = ";"
    sParameter    = sBeleg_Recordid & ";" & sErf_User
    	 	     
    bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "001"))


    'Stored Procedure: nicht bentigte Buchungen entfernen und eventuelle Fehler ausgeben
   sProcedure    = "Fs_Lagerbuchung_Delete"
   sTrennzeichen = ";"
   sParameter    = sBeleg_Recordid
  
   bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "002"))


  'Stored Procedure: Status des Belegs auf Abgeschlossen = 0 setzen
   sProcedure    = "Fs_Beleg_Abgeschlossen_Ruecksetzen"
   sTrennzeichen = ";"
   sParameter    = sBeleg_Recordid
  
   bSP = (FakturaProcedure( sProcedure,sTrennzeichen,sParameter,sErrorCode & "003"))
	
   	
	
''Ansicht Aktualisieren
  cRm.CurrentProject.ActiveViews.ActiveView.InvokeMenu 32784,True
  
  msgbox("Die Lagerbuchung wurde rckgngig gemacht.Seriennummern wurden freigegeben.Neu erstellte Seriennummern wurden nicht gelscht.")
